//=============================================================================

#include "cinder/gl/gl.h"
#include "Ship.h"

using namespace ci;
using namespace gl;

//-----------------------------------------------------------------------------

void Ship::Draw(const vec2& location, const vec2& direction, const Color& color)
{
   vec2 loc1 = location + direction * 8.0f;
   vec2 loc3 = location + direction * 5.0f;
   vec2 loc5 = location;
   vec2 loc7 = location - direction * 7.0f;

   gl::color(color);
   drawSolidCircle(loc1, 1);
   drawSolidCircle(loc3, 3);
   drawSolidCircle(loc5, 5);
   drawSolidCircle(loc7, 7);
}
